# -*- coding: utf-8 -*-

from django.utils.translation import ugettext_lazy as _

import admin_tools
from admin_tools.dashboard import modules, register, AppIndexDashboard

from jmb.store.models import Store
from jmb.core.admin import dashboard as jmb_dashboard


class DefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs = {
            'title': "Store",
            'display': "tabs",
            'children': [Models()]
        }
        super(DefaultDashboard, self).__init__(**kwargs)


class StoreDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs = {
            'title': "Store",
            'display': "tabs",
            'children': [Models()]
        }
        super(StoreDashboard, self).__init__(**kwargs)


class Models(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs = {
            'title': _("Main Models"),
            'models': ('jmb.store.models.*',),
        }
        super(Models, self).__init__(**kwargs)


class StoreSettings(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Settings"),
            'models':['store.models.Settings',],
            }
        super(StoreSettings, self).__init__(**kwargs)


class DefaultAppDashboard(AppIndexDashboard):
    def __init__(self, app_title, models, **kwargs):
        AppIndexDashboard.__init__(self, app_title, models, **kwargs)
        self.columns = 3

    def init_with_context(self, context):
        request = context['request']

        # Registered dashboards
        self.children.append(
            DefaultDashboard(),
        )
# Used in /admin
jmb_dashboard.register_group(StoreDashboard, 'jmb.store')
# Used in /admin/Office
admin_tools.dashboard.register(DefaultAppDashboard, 'jmb.store')
