# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

from jmb.core.admin.menu import register_menu

office_menu_item = items.MenuItem(
    # GENERAL
    _('Store'),
    reverse('admin:app_list', kwargs={'app_label': 'store'}),
    children=[
        items.MenuItem(
            _('Store'), '',
            children=[
                items.MenuItem(_('Add Store'), reverse('admin:store_store_add',)),
                items.MenuItem(_('Store List'), reverse('admin:store_store_changelist',)),
                items.MenuItem(_('Add Store Document'), reverse('admin:store_storedocument_add',)),
                items.MenuItem(_('Store List Document'), reverse('admin:store_storedocument_changelist',)),
                items.MenuItem(_('Add Store Document Number'), reverse('admin:store_storedocumentnumber_add',)),
                items.MenuItem(_('Store List Document Number'), reverse('admin:store_storedocumentnumber_changelist',)),
                items.MenuItem(_('Add Store Cause'), reverse('admin:store_storecause_add',)),
                items.MenuItem(_('Store Cause List'), reverse('admin:store_storecause_changelist',)),
            ]
        ),
    ]
)

register_menu(office_menu_item, 'jmb.store')
